<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }
// theme settings
define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
global $settings;
	echo "<table cellspacing='0' cellpadding='0' class='main center'>\n<tr>\n";
	echo "<td>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td>".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "</td>\n</tr>\n</table>\n";

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tablebreak'>\n<tr>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>\n"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>\n"; }
	
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='footer' align='left' width='20%'>".showcounter()."</td>\n";
	echo "<td class='footer' align='center'>".stripslashes($settings['footer'])."<br />\n";
	if ($license == false) {
	    echo showcopyright();
	}
	echo "</td>\n";
	echo "<td class='footer' align='right' width='20%'>Theme Blackie by <a target='_blank' href='http://www.starglowone.eu/'>StarglowOne</a> <br /> Future support by <a href='http://php-fusion.openworld.dk' target='_blank'>Harly</a></td>\n";
	echo "</tr>\n</table>\n";
	echo "</td>\n</tr>\n</table>\n";
}

function render_news($subject, $news, $info) {

	echo "<table width='100%' cellpadding='0' cellspacing='0' class='tablebreak'>\n<tr>\n";
	echo "<td><img src='".THEME."images/bTLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td class='capmain' width='100%'>$subject</td>\n";
	echo "<td><img src='".THEME."images/bTRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td class='main-body'>$news</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td class='news-footer center'>\n".newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td><img src='".THEME."images/bBLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td style='background-image: url(".THEME."images/bBottom.gif)' width='100%'><img src='".THEME."images/bBottom.gif' alt='|' /></td>\n";
	echo "<td><img src='".THEME."images/bBRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {

	echo "<table width='100%' cellpadding='0' cellspacing='0' class='tablebreak'>\n<tr>\n";
	echo "<td><img src='".THEME."images/bTLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td class='capmain' width='100%'>$subject</td>\n";
	echo "<td><img src='".THEME."images/bTRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td align='right' class='news-footer'>".articleposter($info, THEME_BULLET).articleopts($info, THEME_BULLET).itemoptions("A",$info['article_id'])."</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td><img src='".THEME."images/bBLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td style='background-image: url(".THEME."images/bBottom.gif)' width='100%'><img src='".THEME."images/bBottom.gif' alt='|' /></td>\n";
	echo "<td><img src='".THEME."images/bBRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n</table>\n";

}

function opentable($title) {
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='tablebreak'>\n<tr>\n";
	echo "<td><img src='".THEME."images/bTLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td class='capmain' width='100%'>$title</td>\n";
	echo "<td><img src='".THEME."images/bTRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td class='main-body' width='100%'>\n";
}

function closetable() {
	echo "</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td><img src='".THEME."images/bBLcorner.gif' alt='|' width='5' /></td>\n";
	echo "<td style='background-image: url(".THEME."images/bBottom.gif)' width='100%'><img src='".THEME."images/bBottom.gif' alt='|' /></td>\n";
	echo "<td><img src='".THEME."images/bBRcorner.gif' alt='|' width='5' /></td>\n";
	echo "</tr>\n</table>\n";
}

function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	$boxname = str_replace(" ", "", $title);
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tablebreak'>\n<tr>\n";
	echo "<td style='width:5px'><img src='".THEME."images/bTLcorner.gif' alt='|' /></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	echo ($collapse ? "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>" : "")."\n";
	echo "<td style='width:5px'><img src='".THEME."images/bTRcorner.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td style='background-image: url(".THEME."images/bLeft.gif)'><img src='".THEME."images/bLeft.gif' alt='|' /></td>\n";
	echo "<td".($collapse == true ? " colspan='2'" : "")." class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td style='background-image: url(".THEME."images/bRight.gif)'><img src='".THEME."images/bRight.gif' alt='|' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='5'><img src='".THEME."images/bBLcorner.gif' alt='|' /></td>\n";
	echo "<td".($panel_collapse == true ? " colspan='2'" : "")." style='background-image: url(".THEME."images/bBottom.gif)' width='100%'><img src='".THEME."images/bBottom.gif' alt='|' /></td>\n";

	echo "<td width='5'><img src='".THEME."images/bBRcorner.gif' alt='|' /></td>\n";
	echo "</tr>\n</table>\n";
}
?>